/******************************************************************************
* Replace "~" with the home path
******************************************************************************/

#include <stdlib.h>
#include <stdio.h>
#include <string.h>


void twid2home(char *npath, char *path) {

  char    *buf;
  void    errormsg(char *, ...);


  if (path[0] == '~') {

    /* Get home directory */
    if ((buf = getenv("HOME")) == NULL)
      errormsg("twid2home(): No HOME environment variable!");

    sprintf(npath, "%s%s", buf, path+1);

  } else
    strcpy(npath, path);

  return;
}
